/**
 * 物资厂家管理页面 API
 */
import request from '@/utils/request'

/** 物资厂家查询 */
export const querySupplierListApi = (data) => {
  return request.get('/base/masupplier/getMaSupplierList', {
    params: data
  })
}

/** 物资厂家新增 */
export const addSupplierListApi = (data) => {
  return request.post('/base/masupplier/add', data)
}

/** 物资厂家修改 */
export const updateSupplierListApi = (data) => {
  return request.post('/base/masupplier/update', data)
}

/** 物资厂家删除 */
export const delSupplierListApi = (id) => {
  return request.delete(`/base/masupplier/${id}`)
}

